PaidGoods
API referenceStorefront

Create a custom page

POST
/v1/stores/{storeId}/storefront/pages

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/storefront/pages" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "slug": "string",    "bodyMd": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "custom",  "slug": "string",  "title": "string",  "defaultTitle": "string",  "bodyMd": "string",  "published": true,  "metaTitle": "string",  "metaDescription": "string",  "url": "string",  "updatedAt": "string"}